package org.hibernate.dialect;

import java.sql.Types;

/**
 * An SQL dialect for PostgreSQL 8.2.x specific features.
 *
 * @author Simon Riggs
 */
public class PostgreSQL82Dialect extends PostgreSQL8Dialect {

	public String getForUpdateNowaitString() {
		return getForUpdateString() + " NOWAIT";
	}

	public boolean supportsIfExistsBeforeTableName() {
		return true;
	}

	public boolean supportsRowValueConstructorSyntax() {
		return true;
	}
}
